.post-tag {
  display: inline;
  position: relative;
  border-radius: 1.5rem;
  text-transform: uppercase;
  font-weight: 600;
  font-size: clamp($fs1, calc(0.25rem + 3vw), $fs3);
  padding: $s2 $s4 $s1;
  margin: $s2 $s3 0 0;
  text-decoration: none;
  vertical-align: middle;
  white-space: nowrap;
  background: linear-gradient(to right, var(--neon-pink), var(--neon-blue));
  color: var(--relax);

  &::after {
    content: attr(data-text);
    color: var(--relax);
    position: absolute;
    left: 0; top: 0;
    height: 100%;
    width: 100%;
    padding: inherit;
    transform: translateX(0) translateY(0);
    transition: transform 150ms ease-in-out;
    background: linear-gradient(to right, var(--neon-yellow), transparent);
    border-radius: inherit;
    mix-blend-mode: var(--blend-mode);
  }

  &:hover {

    &::after {
      transform: translateX(var(--neon-offset-x)) translateY(var(--neon-offset-y));
    }
  }

  &:visited {
    color: var(--relax);
  }
}